HOSTNAME(1)

BEZEICHNUNG
hostname - zeigt den Hostnamen des Systems an oder setzt ihn
domainname - zeigt den NIS-/YP-Domain-Namen des Systems an oder setzt ihn
ypdomainname - zeigt den NIS-/YP-Domain-Namen des Systems an oder setzt ihn
nisdomainname - zeigt den NIS-/YP-Domain-Namen des Systems an oder setzt ihn
dnsdomainname - zeigt den DNS-Domain-Namen des Systems an

ÜBERSICHT
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--file Dateiname] [Hostname]
hostname [-h|--help] [-V|--version]

domainname [NISDOMAIN] [-F DATEI]
ypdomainname [NISDOMAIN] [-F DATEI]
nisdomainname [NISDOMAIN] [-F DATEI]

dnsdomainname

BESCHREIBUNG
hostname wird benutzt, um den DNS-Namen des Systems anzuzeigen und um seinen Host- oder NDIS-Domain-Namen anzuzeigen oder zu setzen.

  NAMEN ABFRAGEN
Wenn das Programm ohne irgendwelche Argumente aufgerufen wird, zeigt es die aktuellen Namen an:

hostname wird den Namen des Systems so ausgeben, wie er von der Funktion gethostname(2) zurückgegeben wird.

domainname wird den NIS-Domain-Namen des Systems ausgeben. domainname benutzt die Funktion gethostname(2), während ypdomainname und nisdomainname getdomainname(2) benutzen.

dnsdomainname wird den Domain-Teil des FQDN (Fully Qualified Domain Name/vollständiger Name einer Domain) ausgeben. Der komplette FQDN des Systems wird von hostname --fqdn zurückgegeben (beachten Sie aber die Warnungen im folgenden Abschnitt DER FQDN.

  NAMEN SETZEN
Wenn der Befehl ohne Argument oder mit der Option --file aufgerufen wird, setzt er den Hostnamen oder den NIS-/YP-Domain-Namen. hostname benutzt die Funktion sethostname(2), während domainname, ypdomainname und nisdomainname setdomainname(2) benutzen. Beachten Sie, dass dies effektiv nur bis zum nächsten Neustart der Fall ist. Bearbeiten Sie /etc/hostname, um es permanent zu ändern.

Beachten Sie, dass die Namen nur vom Super-User geändert werden können.

Es ist nicht möglich den FQDN oder DNS-Namen mit dem Befehl dnsdomainname zu setzen (lesen Sie im Folgenden DER FQDN).

Der Hostname wird üblicherweise einmal beim Systemstart in /etc/init.d/hostname.sh gesetzt (normalerweise durch Lesen einer Datei, die den Hostnamen enthält, z.B. /etc/hostname).

  DER FQDN
Der FQDN (vollqualifizierter Domain-Name) des Systems ist der Name, den der resolver(3) für den Hostnamen zurückgibt, wie ursula.example.com. Es ist üblicherweise der Hostname gefolgt vom DNS-Domain-Namen (dem Teil nach dem ersten Punkt). Sie können den FQDN mittels hostname --fqdn oder den Domain-Namen mittels dnsdomainname überprüfen.

Sie können den FQDN nicht mit hostname oder dnsdomainname ändern.

Die empfohlene Methode, den FQDN zu setzen, besteht darin, mittels /etc/hosts, DNS oder NIS den Hostnamen als Alias für den vollqualifizierten Namen zu setzen. Falls der Hostname zum Beispiel »ursula« war, könnten Sie eine Zeile wie die folgende in /etc/hosts haben:

    127.0.1.1 ursula.example.com ursula

Technisch: Der FQDN ist der Name, den getaddrinfo(3) für den Hostnamen zurückgibt, der von gethostname(2) zurückgegeben wurde. Der DNS-Domain-Name ist der Teil nach dem ersten Punkt.

Daher hängt es von der Konfiguration des Resolvers (üblicherweise in /etc/host.conf) ab, wie Sie ihn ändern können. Normalerweise wird die Datei »hosts« vor DNS oder NIS ausgewertet, weswegen der FQDN meist in /etc/hosts geändert werden kann.

Wenn eine Maschine mehrere Netzwerkschnittstellen/-adressen hat oder in einer mobilen Umgebung benutzt wird, dann kann sie entweder mehrere FQDN/Domain-Namen oder nichts von alledem haben. Vermeiden Sie es daher hostname --fqdn, hostname --domain und dnsdomainname zu benutzen. hostname --ip-address unterliegt den gleichen Einschränkungen und sollte deshalb auch vermieden werden.

OPTIONEN

-a, --alias
    zeigt den Alias-Namen des Hosts (falls benutzt). Diese Option wird missbilligt und sollte nicht mehr benutzt werden.

-A, --all-fqdns
    zeigt alle FQDNs der Maschine. Diese Option zählt alle konfigurierten Netzwerkadressen auf allen konfigurierten Netzwerkschnittstellen auf und übersetzt sie in DNS-Domain-Namen. Adressen, die nicht übersetzt werden können (d.h. weil sie keinen geeigneten umgekehrten IP-Eintrag haben) werden übersprungen. Beachten Sie, dass unterschiedliche Adressen auf den gleichen Namen aufgelöst werden können und daher die Ausgabe einen Eintrag mehrfach enthalten kann. Treffen Sie keine Annahmen über die Reihenfolge der Ausgabe.

-b, --boot
    setzt immer einen Hostnamen; dies erlaubt, dass die per -F angegebene Datei nicht existiert oder leer ist. In diesem Fall wird der vorgegebene Hostname localhost benutzt, falls noch keiner gesetzt ist.

-d, --domain
    zeigt den Namen der DNS-Domain an. Benutzen Sie nicht den Befehl domainname, um den DNS-Domain-Namen abzufragen, weil er den NIS-Domain-Namen und nicht den DNS-Domain-Namen anzeigen wird. Benutzen Sie stattdessen dnsdomainname. Lesen Sie die Warnungen im Abschnitt DER FQDN oben und vermeiden Sie es, diese Option zu benutzen.

-f, --fqdn, --long
    zeigt den FQDN (Fully Qualified Domain Name/vollständiger Name einer Domain) an. Ein FQDN besteht aus einem kurzen Hostnamen und dem DNS-Domain-Namen. Sofern Sie nicht Bind oder NIS zum Nachschlagen von Hosts benutzen, können Sie den FQDN und DNS-Domain-Namen (der Teil des FQDN ist) in der Datei /etc/hosts ändern. Lesen Sie die Warnungen im Abschnitt DER FQDN oben und benutzen Sie stattdessen hostname --all-fqdns, wo dies möglich ist.

-F, --file DATEINAME
    liest den Hostnamen aus der angegebenen Datei. Kommentare (Zeilen die mit # beginnen) werden ignoriert.

-i, --ip-address
    zeigt die Netzwerkadresse(n) des Hostnamens. Beachten Sie, dass dies nur funktioniert, wenn der Hostname aufgelöst werden kann. Vermeiden Sie es, diese Option zu benutzen; benutzen Sie stattdessen hostname --all-ip-addresses.

-I, --all-ip-addresses
    zeigt alle Netzwerkadressen des Hosts. Diese Option zählt alle konfigurierten Adressen auf allen Netzwerkschnittstellen auf. Die Loopback-Schnittstelle und IPv6-link-lokale Adressen werden ausgelassen. Im Gegensatz zur Option -i hängt diese Option nicht von der Namensauflösung ab. Treffen Sie keine Annahmen über die Reihenfolge der Ausgabe.

-s, --short
    gibt den Kurznamen des Hosts an. Dies ist der Hostname, der am ersten Punkt abgeschnitten wurde.

-V, --version
    gibt Versionsinformation auf der Standardausgabe aus und beendet sich erfolgreich.

-y, --yp, --nis
    zeigt den NIS-Domain-Namen an. Falls ein Parameter angegeben wurde (oder --file name), dann kann auch Root einen neuen NIS-Domain-Namen setzen.

-h, --help
    gibt eine Nachricht über den Aufruf aus und beendet sich.

ANMERKUNGEN
Die hostname-Adressfamilien versuchen beim Nachschlagen des FQDN, der Aliase und der Netzwerkadressen des Hosts, ob diese durch die Konfiguration des Resolvers festgelegt werden. Auf GNU-Libc-Systemen kann der Resolver zum Beispiel angewiesen werden zuerst IPv6 nachzuschlagen, indem die Option inet6 in /etc/resolv benutzt wird.

DATEIEN
/etc/hostname: Früher sollte diese Datei nur den Hostnamen und nicht den FQDN enthalten. Heutzutage ist die meiste Software in der Lage, mit einem FQDN umzugehen. Diese Datei wird beim Systemstart durch die System-Initialisierungsskripte eingelesen, um den Hostnamen zu setzen.

/etc/hosts: Dies ist üblicherweise die Stelle, an der der Domain-Name gesetzt wird, indem der Hostname als Alias für den FQDN eingetragen wird.

AUTOREN
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS und Handbuchseite).
Michael Meskes, <meskes@debian.org>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.